Skip to main content
WEBHOOK
dispute
{
  "id": "<string>",
  "type": "dispute.created",
  "object": "event",
  "created": 1750062041000,
  "data": {
    "object": {
      "chargeBackId": "<string>",
      "channelCode": "<string>",
      "orderId": "<string>",
      "merchantId": "<string>",
      "customerId": "<string>",
      "disputeAmount": 0,
      "disputeCurrency": "<string>",
      "originalAmount": 0,
      "originalCurrency": "<string>",
      "reasonCode": "<string>",
      "reasonDescription": "<string>",
      "status": 1,
      "evidenceDeadline": "<string>",
      "channelDisputeTime": "<string>",
      "networkReasonCode": "<string>"
    }
  }
}

Headers

Timestamp sent by Clink for webhook signature verification.

Hex-encoded HMAC-SHA256 signature generated with the webhook signing secret over the string ${X-Clink-Timestamp}.${rawRequestBody}. Use the raw request body bytes/string exactly as received; do not parse and re-serialize the JSON before verifying.

Signature algorithm used to generate X-Clink-Signature. The current value is SHA256.

Available options:
SHA256

Body

application/json

Dispute event payload in json

id
string

Unique identifier for the event

type
enum<string>

Type of event that occurred

Available options:
dispute.created,
dispute.updated,
dispute.won,
dispute.lost,
dispute.closed
Example:

"dispute.created"

object
string

Type of this json payload, 'event' if this is an event

Example:

"event"

created
integer<int64>

Unix timestamp in milliseconds when the event occurred

data
object

Response

200

Return a 200 status to indicate that the data was received successfully